ghc-lib-parser-9.8.2.20240223: The GHC API, decoupled from GHC versions

Safe Haskell | None
Language | Haskell2010

GHC.Tc.Types.ErrCtxt

Synopsis

- type ErrCtxt = (Bool, TidyEnv -> ZonkM (TidyEnv, SDoc))

# Documentation

type ErrCtxt = (Bool, TidyEnv -> ZonkM (TidyEnv, SDoc)) #

Additional context to include in an error message, e.g. "In the type signature ...", "In the ambiguity check for ...", etc.